#!/usr/bin/perl

# Internet Gateway Control Panel
# Copyright (c) 2542 (1999) by Atsawin Chowanakritsanakul

use CGI;

require 'getmsg.pl';

getmsg();

$conf = "/usr/lib/diald/conf/dialdcpl.conf";

$r = new CGI;

open(TEXT, "$conf") or die $!;
@text = <TEXT>;
close(TEXT);

$section = 1000;
foreach $line (@text)
{
  chomp($line);
  if (substr($line, 0, 5) eq '[conf')
  {
    $section = substr($line, 5, 1);
  }
  else
  {
    ($key, $value) = split(/=/, $line, 2);
    if ($section < 1000)
    {
      $key = $section . $key;
    }
    $param{$key} = $value;
  }
}

# HTTP protocol header
print $r->header;

print <<EOM;
<html>
<head>
<title>$msg{'global.Internet Gateway Control Panel'} : $msg{'global.Main Menu'} : $msg{'global.Configure'}</title>
<link rel=stylesheet type="text/css" href="/gateway/default.css">
</head>
<body bgcolor=#ffffff text=#000000 link=#0000ff vlink=#0000ff alink=#ff0000>
<table border=0 cellspacing=0 cellpadding=2 width=100%>
<tr>
<td bgcolor=#99cccc width=100%>
<a href="/gateway/intro.html">$msg{'global.Internet Gateway Control Panel'}</a> :
<a href="/gateway/main.html">$msg{'global.Main Menu'}</a>
</td>
</tr>
<tr>
<td bgcolor=#ccffff width=100% align=center>
<font size=+3>$msg{'global.Configure'}</font>
</td>
</tr>
</table>
<p>
<table border=1 cellspacing=2 cellpadding=2 align=center>
EOM

for ($section = 0; $section <=4; $section++)
{
  $section2 = $section+5;
  print "<tr valign=baseline>\n";
  print "<td bgcolor=#ccffcc align=right>\n";
  print "<a href=\"/cgi-bin/gateway/configure-form.pl?conf=$section\"><font size=+1>$msg{'configure.Config'} $section</font></a>&nbsp;\n";
  print "</td>\n";
  print "<td bgcolor=#99ffff align=center>\n";
  print "$param{$section . 'config_name'}&nbsp;\n";
  print "</td>\n";
  print "<td bgcolor=#ffffcc>\n";
  print "$msg{'configure.Edit Configuration'} $section.\n";
  print "</td>\n";
  if ($section == 0)
  {
    print "<td rowspan=5>&nbsp;</td>\n";
  }
  print "<td bgcolor=#ccffcc align=right>\n";
  print "<a href=\"/cgi-bin/gateway/configure-form.pl?conf=$section2\"><font size=+1>$msg{'configure.Config'} $section2</font></a>&nbsp;\n";
  print "</td>\n";
  print "<td bgcolor=#99ffff align=center>\n";
  print "$param{$section2 . 'config_name'}&nbsp;\n";
  print "</td>\n";
  print "<td bgcolor=#ffffcc>\n";
  print "$msg{'configure.Edit Configuration'} $section2\n";
  print "</td>\n";
  print "</tr>\n";
}
print "</table>\n";
print "</body>\n";
print "</html>\n";

