#!/usr/bin/perl

# Internet Gateway Control Panel
# Copyright (c) 2542 (1999) by Atsawin Chowanakritsanakul

use CGI;

require 'getmsg.pl';

getmsg();

$fifo = "/usr/lib/diald/diald.fifo";
$stat = "/usr/lib/diald/diald.stat";

$r = new CGI;

if (!fork)
{
  select(undef, undef, undef, 0.05);   # Wait 50 ms

  open(FIFO, "> $fifo") or die $!;
  print FIFO "monitor 0x00000105 $stat\n";
  close(FIFO);

  exit(0);
}

open(STAT, "< $stat") or die $!;
do
{
  $text = <STAT>;
  $state1 = <STAT>;
  chomp($text);
} until ($text eq 'STATE');
do
{
  $text = <STAT>;
  $state2 = <STAT>;
  chomp($text);
} until ($text eq 'STATUS');
close(STAT);

chomp($state1);
chomp($state2);

$connection_status = $state1;

@state2 = split(/ /, $state2);

$connection_mode = (($state2[10] eq '0') && ($state2[11] eq '0')) ? $msg{'control.Auto'} : $msg{'control.Manual'};

# HTTP protocol header
print $r->header;

print <<EOM;
<html>
<head>
<title>$msg{'global.Internet Gateway Control Panel'} : $msg{'global.Main Menu'} : $msg{'global.Control'}</title>
<link rel=stylesheet type="text/css" href="/gateway/default.css">
</head>
<body bgcolor=#ffffff text=#000000 link=#0000ff vlink=#0000ff alink=#ff0000>
<table border=0 cellspacing=0 cellpadding=2 width=100%>
<tr>
<td bgcolor=#99cccc width=100%>
<a href="/gateway/intro.html" target="f1">$msg{'global.Internet Gateway Control Panel'}</a> :
<a href="/gateway/main.html" target="f1">$msg{'global.Main Menu'}</a>
</td>
</tr>
<tr>
<td bgcolor=#ccffff width=100% align=center>
<font size=+3>$msg{'global.Control'}</font>
</td>
</tr>
</table>
<p>
<table border=0 cellspacing=5 cellpadding=2 align=center>
<tr>
<td>
<form method=post action="/cgi-bin/gateway/control-set.pl">
EOM

if ($connection_status eq 'DOWN')
{
  print "<input type=hidden name=\"cmd\" value=\"UP\">\n";
}
else
{
  print "<input type=hidden name=\"cmd\" value=\"DOWN\">\n";
}
print <<EOM;

<table border=2 cellspacing=2 cellpadding=2 align=center>
<tr>
<td bgcolor=#ccccff colspan=2 align=center>
<font size=+2>$msg{'control.Connection'}</font>
</td>
</tr>
<!--tr>
<td bgcolor=#ccffff align=right>
$msg{'control.Mode'}</td>
<td bgcolor=#ffffcc>
$connection_mode
</td>
</tr-->
<tr>
<td bgcolor=#ccffff align=right>
$msg{'control.Status'}</td>
<td bgcolor=#ffffcc>
$msg{'global.' . $connection_status}
</td>
</tr>
<tr>
<td bgcolor=#ccffcc align=right><font size=+1>$msg{'control.Control'}</font></td>
<td bgcolor=#ccffcc>
EOM

if ($connection_status eq 'DOWN')
{
  print "<input type=submit value=\"$msg{'control.Up'}\">\n";
}
else
{
  print "<input type=submit value=\"$msg{'control.Down'}\">\n";
}
print <<EOM;
</td>
</tr>
</table>
</form>
</td>
<td>
<form method=post action="/cgi-bin/gateway/control-set1.pl" target="f1">
<table border=2 cellspacing=2 cellpadding=2 align=center>
<tr>
<td bgcolor=#ccccff colspan=2 align=center>
<font size=+2>$msg{'control.Server'}</font>
</td>
</tr>
<tr>
<td bgcolor=#ccffff align=right>
$msg{'control.Server Status'}</td>
<td bgcolor=#ffffcc>
$msg{'control.Server Run'}</td>
</tr>
<tr>
<td bgcolor=#ccffcc align=right><font size=+1>$msg{'control.Control'}</font></td>
<td bgcolor=#ccffcc>
EOM

if ($connection_status eq 'DOWN')
{
  print "<input type=submit value=\"$msg{'control.Server Down'}\">\n";
}
else
{
  print "$msg{'control.Down Link First'}\n";
}
print <<EOM;
</td>
</tr>
</table>
</form>
</td>
</tr>
</table>

</body>
</html>
EOM

