#!/usr/bin/perl

# Internet Gateway Control Panel
# Copyright (c) 2542 (1999) by Atsawin Chowanakritsanakul

use CGI;

require 'getmsg.pl';

getmsg();

$conf = "/usr/lib/diald/conf/dialdcpl.conf";

$r = new CGI;

open(TEXT, "$conf") or die $!;
@text = <TEXT>;
close(TEXT);

$section = 1000;
foreach $line (@text)
{
  chomp($line);
  if (substr($line, 0, 5) eq '[conf')
  {
    $section = substr($line, 5, 1);
  }
  else
  {
    ($key, $value) = split(/=/, $line, 2);
    if ($section < 1000)
    {
      $key = $section . $key;
    }
    $param{$key} = $value;
  }
}

# HTTP protocol header
print $r->header;

print <<EOM;
<html>
<head>
<title>Թ ࡵ ͹  : ѡ</title>
<link rel=stylesheet type="text/css" href="/gateway/default.css">
</head>
<body bgcolor=#ffffff text=#000000 link=#0000ff vlink=#0000ff alink=#ff0000>
<table border=0 cellspacing=0 cellpadding=1 width=100%>
<tr>
<td bgcolor=#99cccc width=100%>
<a href="/gateway/intro.html" target="f1">$msg{'global.Internet Gateway Control Panel'}</a>
</td>
</tr>
<tr>
<td bgcolor=#ccffff width=100% align=center>
<font size=+3>$msg{'global.Main Menu'}</font>
</td>
</tr>
</table>
<p>
<table border=1 cellspacing=2 cellpadding=1 align=center>
<tr valign=baseline>
<td bgcolor=#ccffcc align=right>
<a href="/cgi-bin/gateway/configure.pl" target="f1"><font size=+1>$msg{'main.Configure'}</font></a>&nbsp;
</td>
<td bgcolor=#ffffcc colspan=2>
$msg{'main.Configure Detail'}
</td>
</tr>
<tr valign=baseline>
<td bgcolor=#ccffcc align=right>
<a href="/cgi-bin/gateway/select-form.pl" target="f1"><font size=+1>$msg{'main.Select'}</font></a>&nbsp;
</td>
<td bgcolor=#99ffff align=center>
$param{$param{'active'} . 'config_name'}
</td>
<td bgcolor=#ffffcc>
$msg{'main.Select Detail'}
</td>
</tr valign=baseline>
<tr>
<td bgcolor=#ccffcc align=right>
<a href="/cgi-bin/gateway/control-form.pl"><font size=+1>$msg{'main.Control'}</font></a>&nbsp;
</td>
<td bgcolor=#ffffcc colspan=2>
$msg{'main.Control Detail'}
</td>
</tr>
<tr valign=baseline>
<td bgcolor=#ccffcc align=right>
<a href="/cgi-bin/gateway/htpasswd.pl" target="f1"><font size=+1>$msg{'main.Option'}</font></a>&nbsp;
</td>
<td bgcolor=#ffffcc colspan=2>
$msg{'main.Option Detail'}
</td>
</tr>
<tr valign=baseline>
<td bgcolor=#ccffcc align=right>
<a href="/cgi-bin/gateway/report-form.pl" target="f1"><font size=+1>$msg{'main.Report'}</font></a>&nbsp;
</td>
<td bgcolor=#ffffcc colspan=2>
$msg{'main.Report Detail'}
</td>
</tr>
</table>
</body>
</html>
EOM

