#!/usr/bin/perl

# Internet Gateway Control Panel
# Copyright (c) 2542 (1999) by Atsawin Chowanakritsanakul

use CGI;

require 'getmsg.pl';

getmsg();

$conf = "/usr/lib/diald/conf/dialdcpl.conf";
@daypermon = (31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);

$r = new CGI;
$conf_num = $r->param('conf');

open(TEXT, "$conf") or die $!;
@text = <TEXT>;
close(TEXT);

$section = 1000;
foreach $line (@text)
{
  chomp($line);
  if (substr($line, 0, 5) eq '[conf')
  {
    $section = substr($line, 5, 1);
  }
  else
  {
    ($key, $value) = split(/=/, $line, 2);
    if ($section < 1000)
    {
      $key = $section . $key;
    }
    $param{$key} = $value;
  }
}

$conf_active{$param{'active'}} = ' checked';

$serial_speed{$param{$conf_num . 'serial_speed'}} = ' selected';
@phone_number = split(/ /, $param{$conf_num . 'phone_number'});
$connection_mode{$param{$conf_num . 'connection_mode'}} = ' checked';
$proxy1_type{$param{$conf_num . 'proxy1_type'}} = ' checked';
$proxy2_type{$param{$conf_num . 'proxy2_type'}} = ' checked';

($sec, $min, $hour, $mday, $month, $year, $yday, $isdst) = localtime(time());
$daypermon = $daypermon[$month];
$year += 1900;
if ($month == 1 && $year % 4 == 0 && ($year % 100 != 0 || $year % 400 == 0))
{
  $daypermon++;
}
$selday[$daypermon] = " selected";
$selmon[$month] = " selected";
$selyear[$year-1900] = " selected";

# HTTP protocol header
print $r->header;

print <<EOM;
<html>
<head>
<title>Internet Gateway Control Panel : Report</title>
<script language="JavaScript">
function ChangeAll()
{
  document.report.config0.checked = document.report.configall.checked;
  document.report.config1.checked = document.report.configall.checked;
  document.report.config2.checked = document.report.configall.checked;
  document.report.config3.checked = document.report.configall.checked;
  document.report.config4.checked = document.report.configall.checked;
  document.report.config5.checked = document.report.configall.checked;
  document.report.config6.checked = document.report.configall.checked;
  document.report.config7.checked = document.report.configall.checked;
  document.report.config8.checked = document.report.configall.checked;
  document.report.config9.checked = document.report.configall.checked;
}
</script>
</head>
<body bgcolor=#ffffff text=#000000 link=#0000ff vlink=#0000ff alink=#ff0000>
<table border=0 cellspacing=0 cellpadding=2 width=100%>
<tr>
<td bgcolor=#99cccc width=100%>
<a href="/gateway/intro.html" target="f1">$msg{'global.Internet Gateway Control Panel'}</a> :
<a href="/gateway/main.html" target="f1">$msg{'global.Main Menu'}</a>
</td>
</tr>
<tr>
<td bgcolor=#ccffff width=100% align=center>
<font size=+3>$msg{'global.Report'}</font>
</td>
</tr>
</table>
<p>
<form name="report" method=post action="/cgi-bin/gateway/report-set.pl">
<table border=2 cellspacing=2 cellpadding=2 align=center>
<tr>
<td bgcolor=#ccccff colspan=3 align=center>
<font size=+2>$msg{'report.Condition'}</font>
</td>
</tr>
<tr>
<td bgcolor=#ccffff align=right>
$msg{'global.Config'}
</td>
<td bgcolor="#ffffcc" colspan="2">
<table border=0 cellspacing=0 cellpadding=0>
<tr>
<td>
EOM

for ($section = 0; $section <= 9; $section++)
{
  print "<input type=\"checkbox\" name=\"config$section\" value=\"1\"$conf_active{$section}>$section&nbsp;";
  print "$param{$section . 'config_name'}<br>\n";
  if ($section == 4)
  {
    print "</td>\n";
    print "<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>\n";
    print "<td>\n";
  }
}

print <<EOM;
</td>
</tr>
<tr>
<td colspan="3" align="center">
<input type="checkbox" name="configall" value="configall" onClick="ChangeAll()">$msg{'report.All Config'}
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td bgcolor=#ccffff align=right valign=center rowspan=2>
$msg{'global.Date'}
</td>
<td bgcolor=#ffffcc align=right>
$msg{'report.From'}
</td>
<td bgcolor=#ffffcc>
<select name="fdate">
<option value="1">01
<option value="2">02
<option value="3">03
<option value="4">04
<option value="5">05
<option value="6">06
<option value="7">07
<option value="8">08
<option value="9">09
<option value="10">10
<option value="11">11
<option value="12">12
<option value="13">13
<option value="14">14
<option value="15">15
<option value="16">16
<option value="17">17
<option value="18">18
<option value="19">19
<option value="20">20
<option value="21">21
<option value="22">22
<option value="23">23
<option value="24">24
<option value="25">25
<option value="26">26
<option value="27">27
<option value="28">28
<option value="29">29
<option value="30">30
<option value="31">31
</select>
/
<select name="fmonth">
<option value="0"$selmon[0]>$msg{'global.Jan'}
<option value="1"$selmon[1]>$msg{'global.Feb'}
<option value="2"$selmon[2]>$msg{'global.Mar'}
<option value="3"$selmon[3]>$msg{'global.Apr'}
<option value="4"$selmon[4]>$msg{'global.May'}
<option value="5"$selmon[5]>$msg{'global.Jun'}
<option value="6"$selmon[6]>$msg{'global.Jul'}
<option value="7"$selmon[7]>$msg{'global.Aug'}
<option value="8"$selmon[8]>$msg{'global.Sep'}
<option value="9"$selmon[9]>$msg{'global.Oct'}
<option value="10"$selmon[10]>$msg{'global.Nov'}
<option value="11"$selmon[11]>$msg{'global.Dec'}
</select>
/
<select name="fyear">
<option value="99"$selyear[99]>2542
<option value="100"$selyear[100]>2543
<option value="101"$selyear[101]>2544
<option value="102"$selyear[102]>2545
<option value="103"$selyear[103]>2546
</select>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'report.To'}
</td>
<td bgcolor=#ffffcc>
<select name="tdate">
<option value="1">01
<option value="2">02
<option value="3">03
<option value="4">04
<option value="5">05
<option value="6">06
<option value="7">07
<option value="8">08
<option value="9">09
<option value="10">10
<option value="11">11
<option value="12">12
<option value="13">13
<option value="14">14
<option value="15">15
<option value="16">16
<option value="17">17
<option value="18">18
<option value="19">19
<option value="20">20
<option value="21">21
<option value="22">22
<option value="23">23
<option value="24">24
<option value="25">25
<option value="26">26
<option value="27">27
<option value="28"$selday[28]>28
<option value="29"$selday[29]>29
<option value="30"$selday[30]>30
<option value="31"$selday[31]>31
</select>
/
<select name="tmonth">
<option value="0"$selmon[0]>$msg{'global.Jan'}
<option value="1"$selmon[1]>$msg{'global.Feb'}
<option value="2"$selmon[2]>$msg{'global.Mar'}
<option value="3"$selmon[3]>$msg{'global.Apr'}
<option value="4"$selmon[4]>$msg{'global.May'}
<option value="5"$selmon[5]>$msg{'global.Jun'}
<option value="6"$selmon[6]>$msg{'global.Jul'}
<option value="7"$selmon[7]>$msg{'global.Aug'}
<option value="8"$selmon[8]>$msg{'global.Sep'}
<option value="9"$selmon[9]>$msg{'global.Oct'}
<option value="10"$selmon[10]>$msg{'global.Nov'}
<option value="11"$selmon[11]>$msg{'global.Dec'}
</select>
/
<select name="tyear">
<option value="99"$selyear[99]>2542
<option value="100"$selyear[100]>2543
<option value="101"$selyear[101]>2544
<option value="102"$selyear[102]>2545
<option value="103"$selyear[103]>2546
</select>
</td>
</tr>
<tr>
<td bgcolor=#ccffcc align=center colspan=3>
<input type=submit value=\"$msg{'report.Show'}\">
</td>
</tr>
</table>
</body>
</html>
EOM

