#!/usr/bin/perl

# Internet Gateway Control Panel
# Copyright (c) 2542 (1999) by Atsawin Chowanakritsanakul

$count = "/usr/lib/diald/conf/count.conf";
$pppdlog = "/usr/lib/diald/pppd.log";
$history = "/usr/lib/diald/history.txt";

$time_occ = time();
$local_time_occ = localtime($time_occ);

if (-e "${count}.tmp")
{
  unlink($count);
  rename("${count}.tmp", $count);
}

open(TEXT, "$pppdlog") or die $!;
@text = <TEXT>;
close(TEXT);

$errmsg = 'Unknown Error';

foreach $line (@text)
{
  chomp($line);
  if (index($line, 'AuthNak') >= 0)
  {
    @errmsg = split(/\"/, $line);
    $errmsg = $errmsg[1];
  }
}

open(TEXT, ">>$history") or die $!;
print TEXT "$time_occ PE $errmsg\n";
close(TEXT);

