#!/usr/bin/perl

# Internet Gateway Control Panel
# Copyright (c) 2542 (1999) by Atsawin Chowanakritsanakul

use CGI;

require 'getmsg.pl';

getmsg();

$conf = "/usr/lib/diald/conf/dialdcpl.conf";

$r = new CGI;
$conf_num = $r->param('conf');

open(TEXT, "$conf") or die $!;
@text = <TEXT>;
close(TEXT);

$section = 1000;
foreach $line (@text)
{
  chomp($line);
  if (substr($line, 0, 5) eq '[conf')
  {
    $section = substr($line, 5, 1);
  }
  else
  {
    ($key, $value) = split(/=/, $line, 2);
    if ($section < 1000)
    {
      $key = $section . $key;
    }
    $param{$key} = $value;
  }
}

$serial_speed{$param{$conf_num . 'serial_speed'}} = ' selected';
@phone_number = split(/ /, $param{$conf_num . 'phone_number'});
$connection_mode{$param{$conf_num . 'connection_mode'}} = ' checked';
$proxy1_type{$param{$conf_num . 'proxy1_type'}} = ' checked';
$proxy2_type{$param{$conf_num . 'proxy2_type'}} = ' checked';

# HTTP protocol header
print $r->header;

print <<EOM;
<html>
<head>
<title>$msg{'global.Internet Gateway Control Panel'} : $msg{'global.Main Menu'} : $msg{'global.Configure'}</title>
</head>
<body bgcolor=#ffffff text=#000000 link=#0000ff vlink=#0000ff alink=#ff0000>
<table border=0 cellspacing=0 cellpadding=2 width=100%>
<tr>
<td bgcolor=#99cccc width=100%>
<a href="/gateway/intro.html">$msg{'global.Internet Gateway Control Panel'}</a> :
<a href="/gateway/main.html">$msg{'global.Main Menu'}</a> :
<a href="/cgi-bin/gateway/configure.pl">$msg{'global.Configure'}</a>
</td>
</tr>
<tr>
<td bgcolor=#ccffff width=100% align=center>
<font size=+3>$msg{'configure.Config'} $conf_num</font>
</td>
</tr>
</table>
<p>
<form method=post action="/cgi-bin/gateway/configure-set.pl">
<input type=hidden name="conf" value="$conf_num">
<table border=2 cellspacing=2 cellpadding=2 align=center>
<tr>
<td bgcolor=#ccffff colspan=3>
<font size=+2>$msg{'configure.Configuration Name'}</font>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Name'}
</td>
<td bgcolor=#ffffcc colspan=2>
<input name="config_name" size=25 maxlength=25 value="$param{$conf_num . 'config_name'}">
</td>
</tr>
<tr>
<td bgcolor=#ccffff colspan=3>
<font size=+2>$msg{'configure.Startup'}</font>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Connection Mode'}
</td>
<td bgcolor=#ffffcc colspan=2>
<input name="connection_mode" type=radio value="auto"$connection_mode{'auto'}>$msg{'configure.Auto'}<br>
<input name="connection_mode" type=radio value="manual"$connection_mode{'manual'}>$msg{'configure.Manual'}<br>
</td>
</tr>
<tr>
<td bgcolor=#ccffff colspan=3>
<font size=+2>$msg{'configure.Modem Configuration'}</font>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Serial Device'}</td>
<td bgcolor=#ffffcc colspan=2>
<input name="serial_device" size=25 maxlength=25 value="$param{$conf_num . 'serial_device'}">
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Serial Speed'}</td>
<td bgcolor=#ffffcc colspan=2>
<select name="serial_speed">
<option value="115200"$serial_speed{'115200'}>115200</option>
<option value="57600"$serial_speed{'57600'}>57600</option>
<option value="38400"$serial_speed{'38400'}>38400</option>
<option value="19200"$serial_speed{'19200'}>19200</option>
<option value="9600"$serial_speed{'9600'}>9600</option>
</select>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Modem Init String'}</td>
<td bgcolor=#ffffcc colspan=2>
<input name="modem_init" size=50 maxlength=50 value="$param{$conf_num . 'modem_init'}">
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Dial Prefix'} <font size=-1>($msg{'global.Optional'})</font></td>
<td bgcolor=#ffffcc colspan=2>
<input name="dial_prefix" size=10 maxlength=10 value="$param{$conf_num . 'dial_prefix'}">
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Phone Numbers'}</td>
<td bgcolor=#ffffcc colspan=2>
<input name="phone0" size=10 maxlength=10 value="$phone_number[0]">
<input name="phone1" size=10 maxlength=10 value="$phone_number[1]">
<input name="phone2" size=10 maxlength=10 value="$phone_number[2]">
<input name="phone3" size=10 maxlength=10 value="$phone_number[3]">
<input name="phone4" size=10 maxlength=10 value="$phone_number[4]"><br>
<input name="phone5" size=10 maxlength=10 value="$phone_number[5]">
<input name="phone6" size=10 maxlength=10 value="$phone_number[6]">
<input name="phone7" size=10 maxlength=10 value="$phone_number[7]">
<input name="phone8" size=10 maxlength=10 value="$phone_number[8]">
<input name="phone9" size=10 maxlength=10 value="$phone_number[9]">
</td>
</tr>
<tr>
<td bgcolor=#ccffff colspan=3>
<font size=+2>$msg{'configure.User Information'}</font>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.User Name'}</td>
<td bgcolor=#ffffcc colspan=2>
<input name="user_name" size=30 maxlength=30 value="$param{$conf_num . 'user_name'}">
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.New Password'}</td>
<td bgcolor=#ffffcc colspan=2>
<input name="pwd1" type=password size=20 maxlength=20>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Retype Password'}</td>
<td bgcolor=#ffffcc colspan=2>
<input name="pwd2" type=password size=20 maxlength=20>
</td>
</tr>
<tr>
<td bgcolor=#ccffff colspan=3>
<font size=+2>$msg{'configure.ISP Setting'}</font>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Local IP'} <font size=-1>($msg{'global.Optional'})</font></td>
<td bgcolor=#ffffcc colspan=2>
<input name="local_ip" size=15 maxlength=15 value="$param{$conf_num . 'local_ip'}">
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Remote IP'} <font size=-1>($msg{'global.Optional'})</font></td>
<td bgcolor=#ffffcc colspan=2>
<input name="remote_ip" size=15 maxlength=15 value="$param{$conf_num . 'remote_ip'}">
</td>
</tr>
<tr>
<td bgcolor=#ccffff colspan=3>
<font size=+2>$msg{'configure.Servers Setting'}</font>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right rowspan=3>
$msg{'configure.Proxy Server'} 1<br>
<font size=-1>($msg{'global.Optional'})</font></td>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Address'}</td>
<td bgcolor=#ffffcc>
<input name="proxy1_addr" size=30 maxlength=30 value="$param{$conf_num . 'proxy1_addr'}"></td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Port'}</td>
<td bgcolor=#ffffcc>
<input name="proxy1_port" size=5 maxlength=5 value="$param{$conf_num . 'proxy1_port'}"></td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Type'}</td>
<td bgcolor=#ffffcc>
<input name="proxy1_type" type=radio value="squid"$proxy1_type{'squid'}>$msg{'configure.Squid'}
<input name="proxy1_type" type=radio value="other"$proxy1_type{'other'}>$msg{'configure.Other'}</td>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right rowspan=3>
$msg{'configure.Proxy Server'} 2<br>
<font size=-1>($msg{'global.Optional'})</font></td>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Address'}</td>
<td bgcolor=#ffffcc>
<input name="proxy2_addr" size=30 maxlength=30 value="$param{$conf_num . 'proxy2_addr'}"></td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Port'}</td>
<td bgcolor=#ffffcc>
<input name="proxy2_port" size=5 maxlength=5 value="$param{$conf_num . 'proxy2_port'}"></td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Type'}</td>
<td bgcolor=#ffffcc>
<input name="proxy2_type" type=radio value="squid"$proxy2_type{'squid'}>$msg{'configure.Squid'}
<input name="proxy2_type" type=radio value="other"$proxy2_type{'other'}>$msg{'configure.Other'}</td>
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Outgoing Mail Server'}<br><font size=-1>($msg{'global.Optional'})</font></td>
<td bgcolor=#ffffcc colspan=2>
<input name="mail_addr" size=30 maxlength=30 value="$param{$conf_num . 'mail_addr'}"></td>
</tr>
<tr>
<td bgcolor=#ccffff align=center colspan=3>
<input type=submit value="$msg{'global.OK'}">
</td>
</tr>
</table>
</form>

</body>
</html>
EOM

