#!/usr/bin/perl

# Internet Gateway Control Panel
# Copyright (c) 2542 (1999) by Atsawin Chowanakritsanakul

use CGI;

require 'getmsg.pl';

getmsg();

$conf = "/usr/lib/diald/conf/dialdcpl.conf";
$fifo = "/usr/lib/diald/diald.fifo";
$squid_conf_in = "/usr/local/squid/etc/squid.conf.in";
$squid_conf = "/usr/local/squid/etc/squid.conf";
$squid_reconfigure = "/usr/lib/diald/prog/squid_reconfigure";

$local_domain = "\." . qx('/bin/dnsdomainname');

$r = new CGI;
$conf_num = $r->param('conf');

open(TEXT, "$conf") or die $!;
@text = <TEXT>;
close(TEXT);

$section = 1000;
foreach $line (@text)
{
  chomp($line);
  if (substr($line, 0, 5) eq '[conf')
  {
    $section = substr($line, 5, 1);
  }
  else
  {
    ($key, $value) = split(/=/, $line, 2);
    if (($conf_num == $section) && ($key eq 'password'))
    {
      $pwd_old = $value;
    }
    if ($section < 1000)
    {
      $key = $section . $key;
    }
    $param{$key} = $value;
  }
}

print $r->header;

$config_name = $r->param('config_name');
$config_name = "Config$conf_num" if ($config_name eq '');
$connection_mode = $r->param('connection_mode');
$serial_device = $r->param('serial_device');
$serial_device = "/dev/modem" if ($serial_device eq '');
$serial_speed = $r->param('serial_speed');
$serial_speed = "57600" if ($serial_device eq '');
$modem_init = $r->param('modem_init');
$modem_init = "AT &F H0" if ($modem_init eq '');
$dial_prefix = $r->param('dial_prefix');
$phone_number = '';
$phone_number = $phone_number . ' ' . $r->param('phone0') if ($r->param('phone0') ne '');
$phone_number = $phone_number . ' ' . $r->param('phone1') if ($r->param('phone1') ne '');
$phone_number = $phone_number . ' ' . $r->param('phone2') if ($r->param('phone2') ne '');
$phone_number = $phone_number . ' ' . $r->param('phone3') if ($r->param('phone3') ne '');
$phone_number = $phone_number . ' ' . $r->param('phone4') if ($r->param('phone4') ne '');
$phone_number = $phone_number . ' ' . $r->param('phone5') if ($r->param('phone5') ne '');
$phone_number = $phone_number . ' ' . $r->param('phone6') if ($r->param('phone6') ne '');
$phone_number = $phone_number . ' ' . $r->param('phone7') if ($r->param('phone7') ne '');
$phone_number = $phone_number . ' ' . $r->param('phone8') if ($r->param('phone8') ne '');
$phone_number = $phone_number . ' ' . $r->param('phone9') if ($r->param('phone9') ne '');
$phone_number = substr($phone_number, 1);
$user_name = $r->param('user_name');
$pwd1 = $r->param('pwd1');
$pwd2 = $r->param('pwd2');
$local_ip = $r->param('local_ip');
$remote_ip = $r->param('remote_ip');
$proxy1_addr = $r->param('proxy1_addr');
$proxy1_port = $r->param('proxy1_port');
$proxy1_type = $r->param('proxy1_type');
$proxy2_addr = $r->param('proxy2_addr');
$proxy2_port = $r->param('proxy2_port');
$proxy2_type = $r->param('proxy2_type');
$mail_addr = $r->param('mail_addr');

if ($pwd1 ne $pwd2)
{
  print "<html>\n";
  print "<head>\n";
  print "<title>Error</title>\n";
  print "</head>\n";
  print "<body bgcolor=#ffffff>\n";
  print "<font size=+2>Error: Passwords are not the same. Hit back button and try again.</font>\n";
  print "<hr>\n";
  print "</body>\n";
  print "</html>\n";
  exit(1);
}
if ($pwd1 eq '')
{
  $pwd1 = $pwd_old;
}

umask(0600);
open(TEXT, ">$conf") or die $!;
print TEXT "[global]\n";
print TEXT "active=$param{'active'}\n";
for ($section = 0; $section <= 9; $section++)
{
  print TEXT "[conf$section]\n";
  if ($section == $conf_num)
  {
    print TEXT "config_name=$config_name\n";
    print TEXT "connection_mode=$connection_mode\n";
    print TEXT "serial_device=$serial_device\n";
    print TEXT "serial_speed=$serial_speed\n";
    print TEXT "modem_init=$modem_init\n";
    print TEXT "dial_prefix=$dial_prefix\n";
    print TEXT "phone_number=$phone_number\n";
    print TEXT "user_name=$user_name\n";
    print TEXT "password=$pwd1\n";
    print TEXT "local_ip=$local_ip\n";
    print TEXT "remote_ip=$remote_ip\n";
    print TEXT "proxy1_addr=$proxy1_addr\n";
    print TEXT "proxy1_port=$proxy1_port\n";
    print TEXT "proxy1_type=$proxy1_type\n";
    print TEXT "proxy2_addr=$proxy2_addr\n";
    print TEXT "proxy2_port=$proxy2_port\n";
    print TEXT "proxy2_type=$proxy2_type\n";
    print TEXT "mail_addr=$mail_addr\n";
  }
  else
  {
    $param{$section . 'config_name'} = "Config$section" if ($param{$section .
      'config_name'} eq '');
    $param{$section . 'serial_device'} = "/dev/modem" if ($param{$section .
      'serial_device'} eq '');
    $param{$section . 'serial_speed'} = "57600" if ($param{$section .
      'serial_speed'} eq '');
    $param{$section . 'modem_init'} = "AT &F H0" if ($param{$section .
      'modem_init'} eq '');
    print TEXT "config_name=$param{$section . 'config_name'}\n";
    print TEXT "connection_mode=$param{$section . 'connection_mode'}\n";
    print TEXT "serial_device=$param{$section . 'serial_device'}\n";
    print TEXT "serial_speed=$param{$section . 'serial_speed'}\n";
    print TEXT "modem_init=$param{$section . 'modem_init'}\n";
    print TEXT "dial_prefix=$param{$section . 'dial_prefix'}\n";
    print TEXT "phone_number=$param{$section . 'phone_number'}\n";
    print TEXT "user_name=$param{$section . 'user_name'}\n";
    print TEXT "password=$param{$section . 'password'}\n";
    print TEXT "local_ip=$param{$section . 'local_ip'}\n";
    print TEXT "remote_ip=$param{$section . 'remote_ip'}\n";
    print TEXT "proxy1_addr=$param{$section . 'proxy1_addr'}\n";
    print TEXT "proxy1_port=$param{$section . 'proxy1_port'}\n";
    print TEXT "proxy1_type=$param{$section . 'proxy1_type'}\n";
    print TEXT "proxy2_addr=$param{$section . 'proxy2_addr'}\n";
    print TEXT "proxy2_port=$param{$section . 'proxy2_port'}\n";
    print TEXT "proxy2_type=$param{$section . 'proxy2_type'}\n";
    print TEXT "mail_addr=$param{$section . 'mail_addr'}\n";
  }
}
close(TEXT);

if ($conf_num == $param{'active'})
{
  open(TEXT, ">/etc/ppp/diald.conf") or die $!;
  print TEXT "mode ppp\n";
  print TEXT "connect \"/usr/lib/diald/connect.pl\"\n";
  print TEXT "ip-up \"/usr/lib/diald/ip-up.pl\"\n";
  print TEXT "ip-down \"/usr/lib/diald/ip-down.pl\"\n";
  print TEXT "pppderror \"/usr/lib/diald/pppderror.pl\"\n";
  print TEXT "device $serial_device\n";
  print TEXT "speed $serial_speed\n";
  print TEXT "modem\n";
  print TEXT "lock\n";
  print TEXT "crtscts\n";
  print TEXT "dynamic\n";
  print TEXT "local 192.168.255.1\n";
  print TEXT "remote 192.168.255.2\n";
  print TEXT "defaultroute\n";
  print TEXT "redial-timeout 10\n";
  print TEXT "fifo /usr/lib/diald/diald.fifo\n";
  print TEXT "accounting-log /usr/lib/diald/diald.log\n";
  print TEXT "include /usr/lib/diald/standard.filter\n";
  if ($connection_mode eq 'manual')
  {
    print TEXT "-demand\n";
    print TEXT "blocked\n";
  }
  close(TEXT);

  open(TEXT, "$squid_conf_in") or die $!;
  @text = <TEXT>;
  close(TEXT);
  open(TEXT, ">$squid_conf") or die $!;
  print TEXT @text;
  print TEXT "\n";
  print TEXT "# Parent proxy\n";
  if ($proxy1_addr ne "" && $proxy1_port ne "")
  {
    if ($proxy1_type eq "squid")
    {
      print TEXT "cache_peer $proxy1_addr parent $proxy1_port 3130\n";
    }
    else
    {
      print TEXT "cache_peer $proxy1_addr parent $proxy1_port 7 no-query default\n";
    }
    print TEXT "cache_peer_domain $proxy1_addr !$local_domain\n";
  }
  if ($proxy2_addr ne "" && $proxy2_port ne "")
  {
    if ($proxy2_type eq "squid")
    {
      print TEXT "cache_peer $proxy2_addr parent $proxy2_port 3130\n";
    }
    else
    {
      print TEXT "cache_peer $proxy2_addr parent $proxy2_port 7 no-query default\n";
    }
    print TEXT "cache_peer_domain $proxy2_addr !$local_domain\n";
  }
  close(TEXT);

  open(FIFO, "> $fifo") or die $!;
  print FIFO "reset\n";
  close(FIFO);

  system($squid_reconfigure);
}

$pwd2 = substr("***************", 1, length($pwd1));
$dial_prefix = '&nbsp;' if ($dial_prefix eq '');
$local_ip = '&nbsp;' if ($local_ip eq '');
$remote_ip = '&nbsp;' if ($remote_ip eq '');

print <<EOM;
<html>
<head>
<title>Internet Gateway Control Panel : Main Menu : Configuration $conf_num Changed</title>
</head>
<body bgcolor=#ffffff text=#000000 link=#0000ff vlink=#990099 alink=#ff0000>
<table border=0 cellspacing=0 cellpadding=2 width=100%>
<tr>
<td bgcolor=#99cccc width=100%>
<a href="/gateway/intro.html">$msg{'global.Internet Gateway Control Panel'}</a> :
<a href="/gateway/main.html">$msg{'global.Main Menu'}</a>
</td>
</tr>
<tr>
<td bgcolor=#ccffff width=100% align=center>
<font size=+3>$msg{'configure.Config'} $conf_num $msg{'configure.Changed'}</font>
</td>
</tr>
</table>
<p>
<table border=2 cellspacing=2 cellpadding=2 align=center>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Configuration Name'}</td>
<td bgcolor=#ffffcc>
$config_name
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Connection Mode'}</td>
<td bgcolor=#ffffcc>
$connection_mode
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Serial Device'}</td>
<td bgcolor=#ffffcc>
$serial_device
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Serial Speed'}</td>
<td bgcolor=#ffffcc>
$serial_speed
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Modem Init String'}</td>
<td bgcolor=#ffffcc>
$modem_init
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Dial Prefix'}</td>
<td bgcolor=#ffffcc>
$dial_prefix
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Phone Numbers'}</td>
<td bgcolor=#ffffcc>
$phone_number
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.User Name'}</td>
<td bgcolor=#ffffcc>
$user_name
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Password'}</td>
<td bgcolor=#ffffcc>
$pwd2
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Local IP'}</td>
<td bgcolor=#ffffcc>
$local_ip
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Remote IP'}</td>
<td bgcolor=#ffffcc>
$remote_ip
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Proxy Server'}1</td>
<td bgcolor=#ffffcc>
$proxy1_addr&nbsp;$proxy1_port&nbsp;$proxy1_type
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Proxy Server'}2</td>
<td bgcolor=#ffffcc>
$proxy2_addr&nbsp;$proxy2_port&nbsp;$proxy2_type
</td>
</tr>
<tr>
<td bgcolor=#ffffcc align=right>
$msg{'configure.Outgoing Mail Server'}</td>
<td bgcolor=#ffffcc>
$mail_addr
</td>
</tr>
<tr>
<td bgcolor=#ccffff align=center colspan=2>
<a href="/gateway/main.html">$msg{'global.Back to Main Menu'}</a>
</td>
</tr>
</table>

</body>
</html>
EOM

