#!/usr/bin/perl

# Internet Gateway Control Panel
# Copyright (c) 2542 (1999) by Atsawin Chowanakritsanakul

use CGI;

require 'getmsg.pl';

getmsg();

$conf = "/usr/lib/diald/conf/dialdcpl.conf";

$r = new CGI;
$conf_num = $r->param('conf');

open(TEXT, "$conf") or die $!;
@text = <TEXT>;
close(TEXT);

$section = 1000;
foreach $line (@text)
{
  chomp($line);
  if (substr($line, 0, 5) eq '[conf')
  {
    $section = substr($line, 5, 1);
  }
  else
  {
    ($key, $value) = split(/=/, $line, 2);
    if ($section < 1000)
    {
      $key = $section . $key;
    }
    $param{$key} = $value;
  }
}

$conf_active{$param{'active'}} = ' checked';

# HTTP protocol header
print $r->header;

print <<EOM;
<html>
<head>
<title>$msg{'global.Internet Gateway Control Panel'} : $msg{'global.Main Menu'} : $msg{'global.Select'}</title>
<link rel=stylesheet type="text/css" href="/gateway/default.css">
</head>
<body bgcolor=#ffffff text=#000000 link=#0000ff vlink=#0000ff alink=#ff0000>
<table border=0 cellspacing=0 cellpadding=2 width=100%>
<tr>
<td bgcolor=#99cccc width=100%>
<a href="/gateway/intro.html">$msg{'global.Internet Gateway Control Panel'}</a> :
<a href="/gateway/main.html">$msg{'global.Main Menu'}</a>
</td>
</tr>
<tr>
<td bgcolor=#ccffff width=100% align=center>
<font size=+3>$msg{'global.Select'}</font>
</td>
</tr>
</table>
<p>

<form method=post action="/cgi-bin/gateway/select-set.pl">
<table border=2 cellspacing=2 cellpadding=2 align=center>
<tr>
<td bgcolor=#ccccff colspan=2>
<font size=+2>$msg{'select.Select Active Configuration'}</font>
</td>
</tr>
<tr>
<td bgcolor=#ccffff align=right>
$msg{'select.Active Configuration'}</td>
<td bgcolor=#ffffcc>
<table border=0 cellspacing=0 cellpadding=0>
<tr>
<td>
EOM

for ($section = 0; $section <= 9; $section++)
{
  print "<input name=\"conf_num\" type=radio value=\"$section\"$conf_active{$section}>$section&nbsp;";
  print "$param{$section . 'config_name'}<br>\n";
  if ($section == 4)
  {
    print "</td>\n";
    print "<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>\n";
    print "<td>\n";
  }
}
print <<EOM;
</tr>
</table>
</td>
</tr>
<tr>
<td bgcolor=#ccffcc align=center colspan=2>
<input type=submit value="$msg{'select.Select'}">
</td>
</tr>
</table>
</form>

</body>
</html>
EOM
