#!/usr/bin/perl

$lastclear = "/usr/lib/diald/lastclear.txt";

$time = time();
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime($time);
$yday = ($year+1900)*1000+$yday;

open(TEXT, "$lastclear") or die $!;
$l_wday = <TEXT>;
$l_time = <TEXT>;
close(TEXT);

chomp($l_wday);
chomp($l_time);

if ($wday < $l_wday || $time >= $l_time+7*24*3600)
{
  # Rotate squid logs
  system("/usr/local/squid/bin/squid", "-k", "rotate");

  # Rotate message and debug
  rotate("/var/log/messages");
  rotate("/var/log/debug");
  system("/bin/killall", "-1", "syslogd");

  open(TEXT, ">$lastclear") or die $!;
  print TEXT "$wday\n";
  print TEXT "$time\n";
  close(TEXT);
}

sub rotate
{
  my($fnam) = @_;
  my($cnt, $cnt1);

  unlink("${fnam}.3");
  for ($cnt = 2; $cnt >= 0; $cnt--)
  {
    $cnt1 = $cnt+1;
    rename("${fnam}.${cnt}", "${fnam}.${cnt1}");
  }
  rename($fnam, "${fnam}.0");
}

